/// <reference types="node" />
import { Logger } from '@terascope/utils';
import type { Terafoundation } from '@terascope/types';
/**
 * CoreContext
*/
export declare class CoreContext<S = Record<string, any>, A = Record<string, any>, D extends string = string> implements Terafoundation.Context<S, A, D> {
    readonly cluster: Terafoundation.Cluster;
    readonly sysconfig: Terafoundation.SysConfig<S>;
    readonly apis: Terafoundation.ContextAPIs & A;
    readonly logger: Logger;
    readonly name: string;
    readonly arch: NodeJS.Architecture;
    readonly platform: NodeJS.Platform;
    assignment: D;
    cluster_name?: string;
    constructor(config: Terafoundation.Config<S, A, D>, cluster: Terafoundation.Cluster, sysconfig: Terafoundation.SysConfig<S>, assignment?: D);
}
export declare function handleStdStreams(): void;
//# sourceMappingURL=core-context.d.ts.map