import type { Terafoundation } from '@terascope/types';
import { CoreContext } from './core-context.js';
import { ParsedArgs } from './interfaces.js';
/**
 * A Single Process Context, this should be used when running
 * in a single process instance/container. This context doesn't
 * support some of the multiple worker/assignment variations
 * that `ClusterContext` does, like `master` or `worker`.
 *
 * @todo add process event handler listeners in initialize method
 * @todo add shutdown handler logic with shutdown method
*/
export declare class ProcessContext<S = Record<string, any>, A = Record<string, any>, D extends string = string> extends CoreContext<S, A, D> {
    static createContext<S = Record<string, any>, A = Record<string, any>, D extends string = string>(config: Terafoundation.Config<S, A, D>, overrideArgs?: ParsedArgs<S>): Promise<ProcessContext<S, A, D>>;
}
//# sourceMappingURL=process-context.d.ts.map