import { PartialDeep } from '@terascope/utils';
import type { Terafoundation } from '@terascope/types';
import { CoreContext } from './core-context.js';
export interface CachedClients {
    [prop: string]: any;
}
export interface TestClientConfig {
    type: string;
    createClient?: Terafoundation.CreateClientFactoryFn;
    config?: Record<string, any>;
    endpoint?: string;
}
export interface TestClientsByEndpoint {
    [endpoint: string]: any;
}
export interface TestClients {
    [type: string]: TestClientsByEndpoint;
}
export interface TestContextAPIs {
    setTestClients(clients: TestClientConfig[]): void;
    getTestClients(): TestClients;
}
export interface TestContextOptions<S> {
    name?: string;
    assignment?: any;
    clients?: TestClientConfig[];
    sysconfig?: PartialDeep<Terafoundation.SysConfig<S>>;
}
export declare class TestContext<S extends Record<string, any>, A extends Record<string, any>, D extends string = string> extends CoreContext<S, A & TestContextAPIs, D> {
    constructor(config: Terafoundation.Config<S, A & TestContextAPIs, D>, cluster: any, sysconfig: Terafoundation.SysConfig<S>);
    static createContext<S extends Record<string, any>, A extends Record<string, any>, D extends string = string>(options?: TestContextOptions<S>): Promise<TestContext<S, A, D>>;
}
//# sourceMappingURL=test-context.d.ts.map